{"openapi":"3.1.0","info":{"title":"Document eSign API","version":"1.0.0","description":"Send documents for signature from your own application.\n\nAuthenticate with `Authorization: Bearer sk_live_...`. A `sk_test_` key creates sandbox documents: watermarked, no email, never billed, and invisible to a live key.\n\nRequests are rate limited per key (10/minute on Business and Ultimate by default); exceeding it returns 429."},"components":{"securitySchemes":{"apiKey":{"type":"http","scheme":"bearer","description":"Your secret key, from Settings -> Developer -> API keys."}},"schemas":{}},"paths":{"/account":{"get":{"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}},"required":["id","name"],"additionalProperties":false},"plan":{"type":"object","properties":{"code":{"type":"string"},"trialing":{"type":"boolean"}},"required":["code","trialing"],"additionalProperties":false},"mode":{"type":"string","enum":["LIVE","TEST"]},"usage":{"type":"object","properties":{"documents_used":{"type":"number"},"documents_included":{"type":"number","nullable":true},"documents_billable":{"type":"number"},"overage_amount_cents":{"type":"number"},"period_start":{"type":"string","nullable":true},"period_end":{"type":"string","nullable":true}},"required":["documents_used","documents_included","documents_billable","overage_amount_cents","period_start","period_end"],"additionalProperties":false}},"required":["organization","plan","mode","usage"],"additionalProperties":false}}}}}}},"/templates":{"get":{"parameters":[{"schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"in":"query","name":"limit","required":false},{"schema":{"type":"string"},"in":"query","name":"cursor","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"status":{"type":"string"},"roles":{"type":"array","items":{"type":"object","properties":{"role":{"type":"string"},"type":{"type":"string"}},"required":["role","type"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","name","description","status","roles","created_at"],"additionalProperties":false}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["data","has_more","next_cursor"],"additionalProperties":false}}}}}}},"/templates/{id}":{"get":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"status":{"type":"string"},"roles":{"type":"array","items":{"type":"object","properties":{"role":{"type":"string"},"type":{"type":"string"},"order":{"type":"number"}},"required":["role","type","order"],"additionalProperties":false}},"fields":{"type":"array","items":{"type":"object","properties":{"field_key":{"type":"string","nullable":true},"type":{"type":"string"},"role":{"type":"string","nullable":true},"required":{"type":"boolean"},"page":{"type":"number"}},"required":["field_key","type","role","required","page"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","name","description","status","roles","fields","created_at"],"additionalProperties":false}}}}}}},"/templates/{id}/send":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"recipients":{"type":"array","items":{"type":"object","properties":{"role":{"type":"string","minLength":1,"maxLength":80},"name":{"type":"string","minLength":1,"maxLength":120},"email":{"type":"string","format":"email","maxLength":190},"phone":{"type":"string","maxLength":32}},"required":["role","name","email"],"additionalProperties":false},"minItems":1,"maxItems":10},"title":{"type":"string","minLength":1,"maxLength":160},"field_values":{"type":"object","additionalProperties":{"type":"string","maxLength":2000}},"send":{"type":"boolean","default":true},"embed":{"type":"object","properties":{"expires_in":{"type":"integer","minimum":60,"maximum":3600,"default":900},"redirect_url":{"type":"string","format":"uri","pattern":"^https\\:\\/\\/","maxLength":2000}},"additionalProperties":false}},"required":["recipients"],"additionalProperties":false}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"title":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"recipients":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"role":{"type":"string","nullable":true},"status":{"type":"string"}},"required":["id","name","email","role","status"],"additionalProperties":false}},"embed_links":{"type":"array","items":{"type":"object","properties":{"recipient_id":{"type":"string"},"url":{"type":"string"},"expires_at":{"type":"string"}},"required":["recipient_id","url","expires_at"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","status","title","mode","recipients","created_at"],"additionalProperties":false}}}}}}},"/documents":{"get":{"parameters":[{"schema":{"type":"string","enum":["draft","in_progress","completed","declined","cancelled","expired"]},"in":"query","name":"status","required":false},{"schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"in":"query","name":"limit","required":false},{"schema":{"type":"string"},"in":"query","name":"cursor","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"title":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"recipients":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"role":{"type":"string","nullable":true},"status":{"type":"string"}},"required":["id","name","email","role","status"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","status","title","mode","recipients","created_at"],"additionalProperties":false}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["data","has_more","next_cursor"],"additionalProperties":false}}}}}},"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":160},"files":{"type":"array","items":{"type":"string","minLength":1},"minItems":1,"maxItems":10},"recipients":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":160},"email":{"type":"string","format":"email","maxLength":190},"type":{"type":"string","enum":["signer","cc"],"default":"signer"},"phone":{"type":"string","maxLength":32},"pin":{"type":"string","maxLength":20}},"required":["name","email"],"additionalProperties":false},"minItems":1,"maxItems":10},"routing":{"type":"string","enum":["parallel","sequential"],"default":"parallel"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"recipientId":{"type":"string","nullable":true},"pageNumber":{"type":"integer","minimum":1},"xNorm":{"type":"number","minimum":0,"maximum":1},"yNorm":{"type":"number","minimum":0,"maximum":1},"widthNorm":{"type":"number","minimum":0,"maximum":1},"heightNorm":{"type":"number","minimum":0,"maximum":1},"type":{"type":"string","enum":["SIGNATURE","INITIALS","DATE","TEXT","CHECKBOX","DROPDOWN","EMAIL","RADIO_GROUP","NAME","TITLE","COMPANY","STAMP","TEXTAREA","NUMBER","PHONE"]},"required":{"type":"boolean","default":true},"placeholderText":{"type":"string","maxLength":120},"helpText":{"type":"string","maxLength":500},"dropdownOptions":{"type":"array","items":{"type":"string","maxLength":80},"maxItems":40},"dateFormat":{"type":"string","maxLength":20},"radioLayout":{"type":"string","enum":["STACKED","INLINE"]},"value":{"type":"string","maxLength":2000},"fontFamily":{"type":"string","enum":["HELVETICA","TIMES","COURIER"]},"fontBold":{"type":"boolean"},"fontItalic":{"type":"boolean"},"fontSize":{"type":"integer","minimum":6,"maximum":48},"fontColor":{"type":"string","pattern":"^#[0-9a-fA-F]{6}$"},"fieldKey":{"type":"string","pattern":"^[a-z][a-z0-9_]{0,62}$"},"customFieldId":{"type":"string"},"fillMode":{"type":"string","enum":["SIGNER_FILLED","PREFILLED"]}},"required":["pageNumber","xNorm","yNorm","widthNorm","heightNorm","type"],"additionalProperties":false},"maxItems":500},"send":{"type":"boolean","default":false}},"required":["files","recipients"],"additionalProperties":false}}}},"responses":{"200":{"description":"Default Response"}}}},"/documents/{id}":{"get":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"title":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"recipients":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"role":{"type":"string","nullable":true},"status":{"type":"string"}},"required":["id","name","email","role","status"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","status","title","mode","recipients","created_at"],"additionalProperties":false}}}}}}},"/documents/{id}/send":{"post":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"title":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"recipients":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"role":{"type":"string","nullable":true},"status":{"type":"string"}},"required":["id","name","email","role","status"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","status","title","mode","recipients","created_at"],"additionalProperties":false}}}}}}},"/documents/{id}/cancel":{"post":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"title":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"recipients":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"role":{"type":"string","nullable":true},"status":{"type":"string"}},"required":["id","name","email","role","status"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","status","title","mode","recipients","created_at"],"additionalProperties":false}}}}}}},"/documents/{id}/files/{variant}":{"get":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true},{"schema":{"type":"string","enum":["signed","certificate","original"]},"in":"path","name":"variant","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string"},"expires_in":{"type":"number"}},"required":["url","expires_in"],"additionalProperties":false}}}}}}},"/documents/{id}/recipients/{recipientId}/embed-link":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"redirect_url":{"type":"string","format":"uri","pattern":"^https\\:\\/\\/"},"expires_in":{"type":"integer","minimum":60,"maximum":3600,"default":900}},"additionalProperties":false,"default":{"expires_in":900}}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true},{"schema":{"type":"string"},"in":"path","name":"recipientId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string"},"expires_at":{"type":"string"}},"required":["url","expires_at"],"additionalProperties":false}}}}}}},"/documents/{id}/recipients":{"put":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"recipients":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":160},"email":{"type":"string","format":"email","maxLength":190},"type":{"type":"string","enum":["signer","cc"],"default":"signer"},"phone":{"type":"string","maxLength":32},"pin":{"type":"string","maxLength":20}},"required":["name","email"],"additionalProperties":false},"minItems":1,"maxItems":10}},"required":["recipients"],"additionalProperties":false}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response"}}}},"/documents/{id}/fields":{"put":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"recipientId":{"type":"string","nullable":true},"pageNumber":{"type":"integer","minimum":1},"xNorm":{"type":"number","minimum":0,"maximum":1},"yNorm":{"type":"number","minimum":0,"maximum":1},"widthNorm":{"type":"number","minimum":0,"maximum":1},"heightNorm":{"type":"number","minimum":0,"maximum":1},"type":{"type":"string","enum":["SIGNATURE","INITIALS","DATE","TEXT","CHECKBOX","DROPDOWN","EMAIL","RADIO_GROUP","NAME","TITLE","COMPANY","STAMP","TEXTAREA","NUMBER","PHONE"]},"required":{"type":"boolean","default":true},"placeholderText":{"type":"string","maxLength":120},"helpText":{"type":"string","maxLength":500},"dropdownOptions":{"type":"array","items":{"type":"string","maxLength":80},"maxItems":40},"dateFormat":{"type":"string","maxLength":20},"radioLayout":{"type":"string","enum":["STACKED","INLINE"]},"value":{"type":"string","maxLength":2000},"fontFamily":{"type":"string","enum":["HELVETICA","TIMES","COURIER"]},"fontBold":{"type":"boolean"},"fontItalic":{"type":"boolean"},"fontSize":{"type":"integer","minimum":6,"maximum":48},"fontColor":{"type":"string","pattern":"^#[0-9a-fA-F]{6}$"},"fieldKey":{"type":"string","pattern":"^[a-z][a-z0-9_]{0,62}$"},"customFieldId":{"type":"string"},"fillMode":{"type":"string","enum":["SIGNER_FILLED","PREFILLED"]}},"required":["pageNumber","xNorm","yNorm","widthNorm","heightNorm","type"],"additionalProperties":false},"maxItems":500}},"required":["fields"],"additionalProperties":false}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response"}}}},"/documents/{id}/remind":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"not":{}},{"type":"object","properties":{"recipient_id":{"type":"string"}},"additionalProperties":false}],"default":{}}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response"}}}},"/files":{"post":{"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"mime_type":{"type":"string"},"size_bytes":{"type":"number"},"created_at":{"type":"string"}},"required":["id","name","mime_type","size_bytes","created_at"],"additionalProperties":false}}}}}}},"/webhooks":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","format":"uri","pattern":"^https\\:\\/\\/","maxLength":2000},"events":{"type":"array","items":{"type":"string","enum":["document.sent","recipient.viewed","recipient.signed","document.completed","document.declined","document.expired","document.cancelled"]},"minItems":1}},"required":["url","events"],"additionalProperties":false}}}},"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"events":{"type":"array","items":{"type":"string"}},"status":{"type":"string"},"created_at":{"type":"string"},"signing_secret":{"type":"string"}},"required":["id","url","mode","events","status","created_at","signing_secret"],"additionalProperties":false}}}}}},"get":{"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string"},"mode":{"type":"string","enum":["LIVE","TEST"]},"events":{"type":"array","items":{"type":"string"}},"status":{"type":"string"},"created_at":{"type":"string"}},"required":["id","url","mode","events","status","created_at"],"additionalProperties":false}}},"required":["data"],"additionalProperties":false}}}}}}},"/webhooks/{id}":{"delete":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"deleted":{"type":"boolean"}},"required":["id","deleted"],"additionalProperties":false}}}}}}},"/webhooks/{id}/deliveries":{"get":{"parameters":[{"schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"in":"query","name":"limit","required":false},{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"event":{"type":"string"},"event_id":{"type":"string"},"document_id":{"type":"string","nullable":true},"attempt":{"type":"number"},"response_status":{"type":"number","nullable":true},"response_body":{"type":"string","nullable":true},"error":{"type":"string","nullable":true},"succeeded":{"type":"boolean"},"payload":{},"created_at":{"type":"string"}},"required":["id","event","event_id","document_id","attempt","response_status","response_body","error","succeeded","created_at"],"additionalProperties":false}}},"required":["data"],"additionalProperties":false}}}}}}},"/webhooks/{id}/deliveries/{deliveryId}/replay":{"post":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true},{"schema":{"type":"string"},"in":"path","name":"deliveryId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"replayed":{"type":"boolean"},"event_id":{"type":"string"}},"required":["replayed","event_id"],"additionalProperties":false}}}}}}},"/templates/{id}/links":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"signers":{"type":"array","items":{"type":"object","properties":{"placeholder_id":{"type":"string"},"is_open":{"type":"boolean"},"name":{"type":"string","minLength":1,"maxLength":120},"email":{"type":"string","format":"email","maxLength":190}},"required":["placeholder_id","is_open"],"additionalProperties":false},"minItems":1},"label":{"type":"string","maxLength":120},"headline":{"type":"string","maxLength":160},"message":{"type":"string","maxLength":600},"redirect_url":{"type":"string","format":"uri","pattern":"^https\\:\\/\\/","maxLength":500},"expires_at":{"type":"string","format":"date-time"},"max_uses":{"type":"integer","exclusiveMinimum":true,"minimum":0,"maximum":100000}},"required":["signers"],"additionalProperties":false}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"url":{"type":"string"},"template_id":{"type":"string"},"label":{"type":"string","nullable":true},"headline":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"redirect_url":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"max_uses":{"type":"number","nullable":true},"use_count":{"type":"number"},"enabled":{"type":"boolean"},"signers":{"type":"array","items":{"type":"object","properties":{"placeholder_id":{"type":"string"},"role":{"type":"string"},"is_open":{"type":"boolean"},"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"required":["placeholder_id","role","is_open","name","email"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","slug","url","template_id","label","headline","message","redirect_url","expires_at","max_uses","use_count","enabled","signers","created_at"],"additionalProperties":false}}}}}},"get":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"url":{"type":"string"},"template_id":{"type":"string"},"label":{"type":"string","nullable":true},"headline":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"redirect_url":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"max_uses":{"type":"number","nullable":true},"use_count":{"type":"number"},"enabled":{"type":"boolean"},"signers":{"type":"array","items":{"type":"object","properties":{"placeholder_id":{"type":"string"},"role":{"type":"string"},"is_open":{"type":"boolean"},"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"required":["placeholder_id","role","is_open","name","email"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","slug","url","template_id","label","headline","message","redirect_url","expires_at","max_uses","use_count","enabled","signers","created_at"],"additionalProperties":false}}},"required":["data"],"additionalProperties":false}}}}}}},"/template-links/{linkId}":{"get":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"linkId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"url":{"type":"string"},"template_id":{"type":"string"},"label":{"type":"string","nullable":true},"headline":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"redirect_url":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"max_uses":{"type":"number","nullable":true},"use_count":{"type":"number"},"enabled":{"type":"boolean"},"signers":{"type":"array","items":{"type":"object","properties":{"placeholder_id":{"type":"string"},"role":{"type":"string"},"is_open":{"type":"boolean"},"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"required":["placeholder_id","role","is_open","name","email"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","slug","url","template_id","label","headline","message","redirect_url","expires_at","max_uses","use_count","enabled","signers","created_at"],"additionalProperties":false}}}}}},"delete":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"linkId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"deleted":{"type":"boolean"}},"required":["id","deleted"],"additionalProperties":false}}}}}}},"/template-links/{linkId}/rotate":{"post":{"parameters":[{"schema":{"type":"string"},"in":"path","name":"linkId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"url":{"type":"string"},"template_id":{"type":"string"},"label":{"type":"string","nullable":true},"headline":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"redirect_url":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"max_uses":{"type":"number","nullable":true},"use_count":{"type":"number"},"enabled":{"type":"boolean"},"signers":{"type":"array","items":{"type":"object","properties":{"placeholder_id":{"type":"string"},"role":{"type":"string"},"is_open":{"type":"boolean"},"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"required":["placeholder_id","role","is_open","name","email"],"additionalProperties":false}},"created_at":{"type":"string"}},"required":["id","slug","url","template_id","label","headline","message","redirect_url","expires_at","max_uses","use_count","enabled","signers","created_at"],"additionalProperties":false}}}}}}}},"servers":[{"url":"https://api.documentesign.com/v1"}],"security":[{"apiKey":[]}]}